Last Comment Bug 715928 - thumbnails not updated (or not able to be generated for some internal pages?)
: thumbnails not updated (or not able to be generated for some internal pages?)
Status: VERIFIED FIXED
[reviewed patch]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
P2 normal (vote)
: Firefox 14
Assigned To: Sriram Ramasubramanian [:sriram]
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-06 09:14 PST by Dietrich Ayala (:dietrich)
Modified: 2016-07-29 14:21 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
+
11+


Attachments
Start Page placeholder thumbnails for tab menu (116.67 KB, application/zip)
2012-02-24 07:28 PST, Ian Barlow (:ibarlow)
no flags Details
Patch (153.56 KB, patch)
2012-03-14 14:20 PDT, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description User image Dietrich Ayala (:dietrich) 2012-01-06 09:14:52 PST
working from today's aurora build:

* thumbnail for about:home on about:home is blank white

* thumbnail for about:addons is light blue with the embossed firefox logo (the no-image image maybe?)
Comment 1 User image Brad Lassey [:blassey] (use needinfo?) 2012-01-12 13:10:17 PST
Ian, we purposely don't screenshot about:home because it'll just show up as all white. Do you want to include a stock thumbnail to show for it as a special case?
Comment 2 User image Ian Barlow (:ibarlow) 2012-01-13 07:14:21 PST
Hi Brad, we actually shouldn't be showing thumbnails of about: pages at all on the start page, as per bug 710392.

That said, as a general rule whenever thumbnails aren't showing up, we should be using the light blue placeholder image that Dietrich referred to.
Comment 3 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-01-13 07:25:26 PST
Ian - what about in the tab menu? When the about:home page is open, it has a crappy tab thumbnail in the tab list (menu)
Comment 4 User image Ian Barlow (:ibarlow) 2012-01-13 08:29:48 PST
As per our conversation in IRC, I'll make a special "about:home" thumbnail for use in the tab menu, and post it here soon.
Comment 5 User image Johnathan Nightingale [:johnath] 2012-02-23 11:58:52 PST
Poke poke, Ian?
Comment 6 User image Ian Barlow (:ibarlow) 2012-02-24 07:28:10 PST
Created attachment 600391 [details]
Start Page placeholder thumbnails for tab menu
Comment 7 User image Peter Retzer (:pretzer) 2012-03-07 02:30:09 PST
(In reply to Ian Barlow (:ibarlow) from comment #6)
> Created attachment 600391 [details]
> Start Page placeholder thumbnails for tab menu

These thumbnails won't work out when about:home recieves a channel-branded styling (bug 710260). Is that considered a problem?
Comment 8 User image Ian Barlow (:ibarlow) 2012-03-07 05:54:15 PST
Hm, yes I would consider that a problem. 

I'll make some channel branded ones as well.
Comment 9 User image Sriram Ramasubramanian [:sriram] 2012-03-14 14:16:01 PDT
I need new set of resources. Currently we use 136 X 78 for the thumbnails. @ibarlow: Could you please post newer ones?
Comment 10 User image Sriram Ramasubramanian [:sriram] 2012-03-14 14:20:13 PDT
Created attachment 605950 [details] [diff] [review]
Patch

This patch shows the awesome thumbnail in Tabs-tray. :)
However, I need newer resources. Once I get them, I can replace those.
Comment 11 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-03-15 06:34:07 PDT
Comment on attachment 605950 [details] [diff] [review]
Patch


>+  res/drawable/abouthome.png \

>+  res/drawable-hdpi/abouthome.png \

>+  res/drawable-xhdpi-v11/abouthome.png \

>+            else if (TextUtils.equals(tab.getURL(), ABOUT_HOME))
>+                thumbnail.setImageResource(R.drawable.abouthome);

rename the resource to "abouthome_thumbnail"

Also, the resources have an extremely large footprint size. Can we try to reduce the size a bit?

r+ with the changes addressed. don't land until Ian get's newer (and hopefully smaller) resources.
Comment 12 User image Ian Barlow (:ibarlow) 2012-03-15 12:57:56 PDT
Sriram, here are updated assets, also in Nightly and Aurora flavours! http://cl.ly/2x1b172x0w3M3K2y1y2X

(sorry for the cloud link, my bugzilla uploader is busted again)

I've included PNG and JPGs, feel free to use either. The PNGs are still around the same file size as before, but the JPGs are considerably smaller.
Comment 13 User image Sriram Ramasubramanian [:sriram] 2012-03-19 12:37:53 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/f2f066e1abce

Pushed the patch for Firefox alone. Saving the other thumbnails to be landed when we implement content-branded UI.
Comment 14 User image Mounir Lamouri (:mounir) 2012-03-20 03:57:18 PDT
https://hg.mozilla.org/mozilla-central/rev/f2f066e1abce
Comment 15 User image Paul Feher 2012-03-23 09:39:33 PDT
Verified/fixed on:

Nightly Fennec 14.0a1 (2012-03-23)
Device: Samsung Nexus S
OS: Android 2.3.6
Comment 16 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-03-24 08:55:25 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/ba444b71df2f

Note You need to log in before you can comment on or make changes to this bug.